﻿namespace Netina.Domain.Dtos.ResponseDtos.Zarehbin;

public class ZarehbinPagedResponseDto
{
    public int count { get; set; }
    public int total_pages_count { get; set; }
    public List<ZarehbinProductResponseDto> products { get; set; } = new();
}

public class ZarehbinProductResponseDto
{
    public string title { get; set; } = string.Empty;
    public string subtitle { get; set; } = string.Empty;
    public string id { get; set; } = string.Empty;
    public string current_price { get; set; } = string.Empty;
    public string old_price { get; set; } = string.Empty;
    public string availability { get; set; } = string.Empty;
    public List<string> categories { get; set; } = new();
    public string image_link { get; set; } = string.Empty;
    public List<string> image_links { get; set; } = new();
    public string page_url { get; set; } = string.Empty;
    public string short_desc { get; set; } = string.Empty;
    public List<Tuple<string, string>> spec { get; set; } = new();
    public string registry { get; set; } = string.Empty;
    public string guarantee { get; set; } = string.Empty;
}