﻿using Netina.Infrastructure.Models.Scrapers.Digikala;

namespace Netina.Infrastructure.RestServices;

public interface IDigikalaRestApi
{
    [Get("/v1/search/")]
    Task<GetDigikalProductsResponseDto> SearchProductAsync([Query] string q);

    [Get("/v2/product/{productId}/")]
    Task<GetDigikalProductResponseDto> GetProductAsync(string productId);
}