﻿using Netina.Common.Models;

namespace Netina.Repository.Services.Abstracts;


public interface IDbInitializerService : IScopedDependency
{
    void Initialize();
    Task SeedDate(bool force = false);
    Task SeedRoles();
    Task Refactor();
}