﻿using Microsoft.EntityFrameworkCore;
using Netina.Common.Models.Entity;

namespace Netina.Repository.Repositories.Base.Contracts
{
    internal interface IRepository<T> where T : class, IApiEntity
    {
        DbSet<T> Entities { get; }
        IQueryable<T> Table { get; }
        IQueryable<T> TableNoTracking { get; }
        
    }
}